### Method

# AppStream ReviewsClient set_client_id

#### Declaration [src]

    void
    as_reviews_client_set_client_id (
      AsReviewsClient* rrc,
      const gchar* client_id
    )

#### Description [src]

Set an ID for the client application which is fetching reviews. The ID is used when generating the user hash, so the same user gets a different identity for each client application they are submitting reviews from.

You should set this value early, before any user hash was generated. Set it to `NULL` to restore the default client-ID.

#### Parameters

`client_id`

  Type: `const gchar*`

  The new client-ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.